<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolLookup/Walker.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Walker.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolLookup/Walker.hh</h1><div><a href="../../../Source/Synopsis/SymbolLookup/Walker.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree.hh.html" >Synopsis/PTree.hh</a></li>
<li>include <a href="Scope.hh.html" >Synopsis/SymbolLookup/Scope.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html" >Walker</a>
<div class="doc"><p>This Walker adjusts the symbol lookup table while the parse tree
is being traversed such that symbols in the parse tree can be
looked up correctly in the right context.</p>
</div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Walker</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#my_scopes" >my_scopes</a>
<div class="doc"><p>The symbol lookup table.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Walker</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#Walker_lScope_S_r" >Walker&#40;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mArrowMemberExpr_S_r" >visit&#40;PTree::ArrowMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mBlock_S_r" >visit&#40;PTree::Block*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mClassSpec_S_r" >visit&#40;PTree::ClassSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mDotMemberExpr_S_r" >visit&#40;PTree::DotMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mFunctionDefinition_S_r" >visit&#40;PTree::FunctionDefinition*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mList_S_r" >visit&#40;PTree::List*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mNamespaceSpec_S_r" >visit&#40;PTree::NamespaceSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mTemplateDecl_S_r" >visit&#40;PTree::TemplateDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#_tWalker_l_r" >~Walker&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup::Walker</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Walker.html#Scopes" >Scopes</a>
<div class="doc"></div></div>
</div>

</body>
</html>
